Subject: Re: Docu, docu...
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked] ( Götz Borkowski)
Cc: [email-masked]
Date: Tue, 26 Jun 2001 19:12:59 -0400

At 06:53 PM 6/26/2001, Götz Borkowski wrote:
>Hi Larry,
>
>please see replies below directly following parts of citatation:
>
>Larry Hall (RFK Partners Inc) schrieb:
> > 
> > At 03:33 PM 6/26/2001, Götz Borkowski wrote:
> > >Hello,
> > >
> > >having "sucked" Cygwin for NT some weeks before,
> > >I found a lot of useful libraries (e.g. libregex...)
> > >but neither manpages nor infos nor other
> > >kind of documentation about this stuff.
> > >Does documentation exist? And, if so, where to get it from?
> > >
> > >Thanks and greetings
> > >Goetz
> > 
> > Various packages put documentation under /usr/doc as well as installing
> > man and info pages under /usr/man and /usr/info.  If you don't have files
> > in these places, rerun setup from www.cygwin.com.
>
>This is exactly what I did (in order to upgrade). Further, I 
>looked up every site (within cygwin folders and subfolders) that 
>COULD contain any more docu - including man pages and info files.
>Additionally, I browsed Redhat's web site for more detailed info.
>  - Results:
>For some parts of the distribution, there is definitely
>no docu supplied. This applies mainly to the various (non-ansi) libraries, 
>but also applies in part to the standard lib's as well. All I found was a
>bare-bone list
>containing just the function NAMES of certain lib functions. No prototypes,
>no explanations. This list is found at Redhat's web site.
>Thus, I'm sure that the distribution (as sucked) is incomplete
>in documentation.
>However (I know, I'm tending to repeat some stuff ;-)) I cannot
>imagine that libs (or stuff) is distributed while REALLY no docu exists:
>Such libs (or whatoever) were certain to be useless. So, I'm going on 
>searching for missing docu... At least partially, it should exist.
>Thus, the question remains: Where is it?!
>
>Thanks and greetinx,
>Goetz

I suggested that you reinstall because sometimes one of two (common)
things occurs:

   1. People don't install all packages
   2. The install is incomplete due to things like network problems, etc.

If you're sure you have everything, you don't need to take this step.
If you're not sure, do it anyway.  Perhaps you'll find a nice surprise.

That said, it sounds to me like you're looking for some detailed documents
that may not exist yet.  I can't say for sure because I don't have any
specifics of what APIs you're looking for.  If you're sure you've covered
all the documentation that comes with the downloaded packages and on the
Cygwin site (user's guide, FAQ, etc), you'll just need to dig into code to 
get the answers you need.  If, along the way, you decide you want to 
provide some documentation for the parts you peruse, the Cygwin community 
would be quite grateful.

Good luck,

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/